package com.oguerreiro.resilient.service.mapper;

import static com.oguerreiro.resilient.domain.InputDataUploadAsserts.*;
import static com.oguerreiro.resilient.domain.InputDataUploadTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class InputDataUploadMapperTest {

    private InputDataUploadMapper inputDataUploadMapper;

    @BeforeEach
    void setUp() {
        inputDataUploadMapper = new InputDataUploadMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getInputDataUploadSample1();
        var actual = inputDataUploadMapper.toEntity(inputDataUploadMapper.toDto(expected));
        assertInputDataUploadAllPropertiesEquals(expected, actual);
    }
}
